Bug 1226215 - file does not recognize "GNU message catalog" (.mo) file correctly
Summary: file does not recognize "GNU message catalog" (.mo) file correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Cermak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-29 08:46 UTC by Pavel Raiskup
Modified: 2017-08-09 19:58 UTC (History)
3 users (show)

Fixed In Version: file-5.31-2.fc27 file-5.30-8.fc26 file-5.29-7.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-04 16:52:14 UTC


Attachments (Terms of Use)
Example of badly recognized file. (604.32 KB, application/octet-stream)
2015-05-29 08:46 UTC, Pavel Raiskup
no flags Details
Patch proposal (867 bytes, patch)
2017-07-21 08:37 UTC, Marek Cermak
no flags Details | Diff

Description Pavel Raiskup 2015-05-29 08:46:50 UTC
Created attachment 1031737 [details]
Example of badly recognized file.

Version-Release number of selected component (if applicable):
file-5.22-3.fc21.x86_64

How reproducible:
$ file postgres-9.2.mo 
postgres-9.2.mo: new-fs dump file (little endian),  Previous dump Thu Jan  1 01:00:00 1970, This dump Thu Jan  1 02:02:29 1970, Volume 28, Level 33, type: Label ", Filesystem PG\001, Device MH\001, Host \027J\001, Flags 14b5a

Actual results:
$ file postgres-9.2.mo 
postgres-9.2.mo: new-fs dump file (little endian),  Previous dump Thu Jan  1 01:00:00 1970, This dump Thu Jan  1 02:02:29 1970, Volume 28, Level 33, type: Label ", Filesystem PG\001, Device MH\001, Host \027J\001, Flags 14b5a

Expected results:
$ file postgres-9.2.mo 
postgres-9.2.mo: GNU message catalog (little endian), revision 0.0, XXX messages

Comment 2 Fedora End Of Life 2015-11-04 11:45:32 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Pavel Raiskup 2015-11-04 12:00:04 UTC
$ bugz attachment 1031737 [details]
 * Info: Using [RedHat] (https://bugzilla.redhat.com/xmlrpc.cgi)
 * Info: Getting attachment 1031737 [details]
 * Info: Saving attachment: "postgres-9.2.mo"
$ file postgres-9.2.mo 
postgres-9.2.mo: new-fs dump file (little endian),  Previous dump Thu Jan  1 01:00:00 1970, This dump Thu Jan  1 02:02:29 1970, Volume 28, Level 33, type: Label ", Filesystem PG\001, Device MH\001, Host \027J\001, Flags 14b5a
$ rpm -q file
file-5.22-5.fc23.x86_64

Comment 4 Fedora Admin XMLRPC Client 2016-06-24 10:59:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-11-24 11:50:16 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-02-28 09:44:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Marek Cermak 2017-07-21 08:37:59 UTC
Created attachment 1302214 [details]
Patch proposal

File mailing list : https://mx.gw.com/mailman/listinfo/file

I'll add link to the post as soon as my subscription to the ML is completed.

Comment 8 Marek Cermak 2017-07-24 06:00:59 UTC
Link to ML post : https://mx.gw.com/pipermail/file/2017/002287.html

Comment 11 Fedora Update System 2017-07-26 08:24:33 UTC
file-5.30-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d6c7c13aa1

Comment 12 Fedora Update System 2017-07-26 08:24:45 UTC
file-5.29-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bda5c103f3

Comment 13 Fedora Update System 2017-07-27 00:23:39 UTC
file-5.29-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bda5c103f3

Comment 14 Fedora Update System 2017-07-27 02:52:38 UTC
file-5.30-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d6c7c13aa1

Comment 15 Pavel Raiskup 2017-07-27 11:39:53 UTC
The issue is still there:

$ rpm -q file
file-5.30-7.fc26.x86_64
$ rpm -q file file-libs python3-magic python-magic
file-5.30-7.fc26.x86_64
file-libs-5.30-7.fc26.x86_64
python3-magic-5.30-7.fc26.noarch
python-magic-5.30-7.fc26.noarch

Comment 16 Fedora Update System 2017-07-31 09:43:20 UTC
file-5.29-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bda5c103f3

Comment 17 Fedora Update System 2017-07-31 09:44:45 UTC
file-5.30-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d6c7c13aa1

Comment 18 Marek Cermak 2017-07-31 09:46:42 UTC
There was a problem with patch application. Should be fixed now. Thanks for the notification.

Comment 19 Fedora Update System 2017-07-31 22:22:58 UTC
file-5.29-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bda5c103f3

Comment 20 Fedora Update System 2017-08-01 00:25:07 UTC
file-5.30-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d6c7c13aa1

Comment 21 Fedora Update System 2017-08-04 16:52:14 UTC
file-5.30-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-08-09 19:58:12 UTC
file-5.29-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.